Package org.apache.lucene.search.matchhighlight

# Class MatchHighlighter.DocHighlights

java.lang.Object
org.apache.lucene.search.matchhighlight.MatchHighlighter.DocHighlights

Enclosing class:
  `MatchHighlighter`

public static class MatchHighlighter.DocHighlights extends Object
Single document's highlights.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `docId`
  `final Map<String,List<String>>`
  `fields`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocHighlights(int docId)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### docId

    public final int docId

  - ### fields

    public final Map<String,List<String>> fields

- ## Constructor Details

  - ### DocHighlights

    public DocHighlights(int docId)